com.brightcove.player.drm

## Interface BrightcoveDrmSession

- All Known Subinterfaces:
    DrmSession<T>
  All Known Implementing Classes:
    ExoPlayerDrmSessionManager, OfflineLicenseManager

      public interface BrightcoveDrmSession

  Contract of a DRM session.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DrmException` | `getDrmError()` Deprecated.
    `byte[]` | `getOfflineLicenseKeySetId()` Deprecated.
    `byte[]` | `getPropertyByteArray(java.lang.String propertyName)`
    `java.lang.String` | `getPropertyString(java.lang.String propertyName)`
    `java.util.Map<java.lang.String,java.lang.String>` | `queryKeyStatus()` Deprecated.
    `void` | `setPropertyByteArray(java.lang.String propertyName, byte[] value)`
    `void` | `setPropertyString(java.lang.String propertyName, java.lang.String value)`

- - ### Method Detail

    - #### getDrmError

          @Deprecated
          DrmException getDrmError()

      Deprecated.

    - #### queryKeyStatus

          @Deprecated
          java.util.Map<java.lang.String,java.lang.String> queryKeyStatus()

      Deprecated.

    - #### getOfflineLicenseKeySetId

          @Deprecated
          byte[] getOfflineLicenseKeySetId()

      Deprecated.

    - #### getPropertyString

          java.lang.String getPropertyString(java.lang.String propertyName)

      See Also:
        `MediaDrm.getPropertyString(String)`

    - #### getPropertyByteArray

          byte[] getPropertyByteArray(java.lang.String propertyName)

      See Also:
        `MediaDrm.getPropertyByteArray(String)`

    - #### setPropertyString

          void setPropertyString(java.lang.String propertyName,
                                 java.lang.String value)

      See Also:
        `MediaDrm.setPropertyString(String, String)`

    - #### setPropertyByteArray

          void setPropertyByteArray(java.lang.String propertyName,
                                    byte[] value)

      See Also:
        `MediaDrm.setPropertyByteArray(String, byte[])`